using System;
using NPP.SmartSchedue.Api.Core.Consts;
using ZhonTai.Admin.Core.Attributes;

namespace NPP.SmartSchedue.Api.Core.Attributes;

/// <summary>
/// 启用事物
/// </summary>
[AttributeUsage(AttributeTargets.Method, Inherited = true)]
public class AppTransactionAttribute : TransactionAttribute
{
    public AppTransactionAttribute() : base(DbKeys.AppDb)
    {
    }
}